# 컴포넌트 목록 조회

## Request

## 레이아웃 등록/수정 시 사용 가능한 컴포넌트 목록을 조회 합니다.<br>

> 레이아웃 등록/수정 시 사용 가능한 컴포넌트 목록을 조회 합니다.  \
> 컴포넌트 별 상세 내역이 제공되므로 별도의 컴포넌트별 상세 조회 API는 제공하지 않습니다.  \
> \
> &#x20; \+ \*\*계정 권한: 대행사\*\*<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"Offset":{"name":"offset","in":"query","schema":{"type":"integer","default":0},"description":"시작 offset 번호(default: 0) 입니다."},"Limit":{"name":"limit","in":"query","schema":{"type":"integer","minimum":100,"maximum":1000,"default":100},"description":"minimum: 100, maximum: 1000 - 조회 최대 건수(default: 100) 입니다.'\n"}}},"paths":{"/baselayout/component":{"get":{"summary":"레이아웃 등록/수정 시 사용 가능한 컴포넌트 목록을 조회 합니다.\n","description":"레이아웃 등록/수정 시 사용 가능한 컴포넌트 목록을 조회 합니다.  \n컴포넌트 별 상세 내역이 제공되므로 별도의 컴포넌트별 상세 조회 API는 제공하지 않습니다.  \n\n  + **계정 권한: 대행사**\n","parameters":[{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>컴포넌트 정보 객체입니다.</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr><tr><td><a href="#pagination-object"><mark style="color:blue;"><strong><code>pagination</code></strong></mark></a></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td>전체 건수와 페이징 조건을 제공합니다.</td></tr><tr><td><a href="#links-object"><mark style="color:blue;"><strong><code>links</code></strong></mark></a></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td>이전/다음 페이지 링크를 제공합니다. offset을 0이 아닌 limit보다 작은 양수값으로 설정한 경우 prev 는 null로 응답됩니다.</td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="197">필드명</th><th width="141">타입</th><th width="82" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>componentId</code></strong></td><td>string</td><td align="center">40</td><td align="center"></td><td></td><td>컴포넌트 ID 입니다.</td></tr><tr><td><strong><code>componentName</code></strong></td><td>string</td><td align="center">40</td><td align="center"></td><td></td><td>컴포넌트 이름 입니다.</td></tr><tr><td><strong><code>iconImgFileUrl</code></strong></td><td>string</td><td align="center">1000</td><td align="center"></td><td></td><td>컴포넌트 모양을 아이콘으로 표현한 이미지 파일 주소입니다.</td></tr><tr><td><strong><code>status</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>컴포넌트의 사용 가능 여부, 범위를 표시합니다.</p><ul><li>public: 레이아웃 등록/수정 시 사용 가능한 컴포넌트 입니다.</li><li>private: RBC에서 특정 케이스별 추가하는 컴포넌트로 레이아웃 등록/수정 시 별도 사용할 수 없습니다.</li><li>tpl: 템플릿에서 사용되는 컴포넌트로 레이아웃 등록/수정 시 사용할 수 없습니다.</li><li>disable: 사용할 수 없는 컴포넌트 입니다. 제공 중이던 컴포넌트가 사용 중지된 경우 설정됩니다.</li></ul></td></tr><tr><td><strong><code>headerYn</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>레이아웃의 Header 영역 내 사용 가능 여부입니다.</p><ul><li>Y: 가능</li><li>N: 불가능</li></ul></td></tr><tr><td><strong><code>bodyYn</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>레이아웃의 Body 영역 내 사용 가능 여부입니다.</p><ul><li>Y: 가능</li><li>N: 불가능</li></ul></td></tr><tr><td><strong><code>footerYn</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>레이아웃의 footer 영역 내 사용 가능 여부입니다.</p><ul><li>Y: 가능</li><li>N: 불가능</li></ul></td></tr><tr><td><a href="#options-object-0"><mark style="color:blue;"><strong><code>options</code></strong></mark></a></td><td>object</td><td align="center"></td><td align="center"></td><td></td><td>레이아웃 사용 시 컴포넌트에 적용될 수 있는 옵션입니다. 옵션 지정이 가능한 경우 표기됩니다.</td></tr><tr><td><strong><code>groupComponentId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>컴포넌트 그룹 ID 입니다. 동일한 컴포넌트 그룹ID를 갖는 컴포넌트는 레이아웃의 body 영역에서 함께 사용될 수 없습니다.</td></tr></tbody></table>

### <mark style="color:blue;">options</mark> - object(0)

<table data-full-width="true"><thead><tr><th width="170">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>leftAlign</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td>left</td><td><p>좌측 컬럼(열) 전체의 글자 정렬 위치를 설정합니다.</p><ul><li>left : 좌측 정렬</li><li>right : 우측 정렬</li><li>center : 중앙 정렬</li></ul></td></tr><tr><td><strong><code>rightAlign</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td>right</td><td><p>우측 컬럼(열) 전체의 글자 정렬 위치를 설정합니다.</p><ul><li>left : 좌측 정렬</li><li>right : 우측 정렬</li><li>center : 중앙 정렬</li></ul></td></tr><tr><td><strong><code>leftTextStyle</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td>normal</td><td><p>좌측 컬럼(열)에 입력되는 글자 스타일을 지정합니다.</p><ul><li>normal : 기본 스타일</li><li>bold : bold 스타일 적용</li></ul></td></tr><tr><td><strong><code>rightTextStyle</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td>normal</td><td><p>우측 컬럼(열)에 입력되는 글자 스타일을 지정합니다.</p><ul><li>normal : 기본 스타일</li><li>bold : bold 스타일 적용</li></ul></td></tr><tr><td><strong><code>maxCount</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td>5</td><td><p>테이블의 행 개수를 지정합니다. 정의된 숫자 이외에는 지정할 수 없습니다.</p><ul><li>5 : 5행</li><li>10 : 10행</li></ul></td></tr></tbody></table>

{% hint style="info" %}
Table / StyleTable등 테이블 컴포넌트의 옵션 정보 객체 입니다.
{% endhint %}

### <mark style="color:blue;">options</mark> - object(1)

<table data-full-width="true"><thead><tr><th width="170">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>color</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>버튼의 색상 설정 옵션입니다. 버튼의 색상은 브랜드 정보에서 지정한 templateColor 컬러 Hex 값과 동일해야 합니다. 빈값 지정 시 기본 버튼 컬러로 적용되며, 지정된 컬러 Hex 값이 templateColor의 값과 다르면 templateColor로 강제 설정됩니다.</td></tr></tbody></table>

{% hint style="info" %}
VButton / HButton 등 버튼 컴포넌트의 옵션 정보 객체 입니다.
{% endhint %}

### <mark style="color:blue;">options</mark> - object(2)

<table data-full-width="true"><thead><tr><th width="170">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>ctlrViewAll</code></strong></td><td>boolean</td><td align="center"></td><td align="center"></td><td>true</td><td><p>컴포넌트 단위의 viewAll(모두보기) 활성화 여부를  지정합니다.</p><ul><li>true: 컴포넌트 viewAll(모두보기) 활성화</li><li>false: 컴포넌트 viewAll(모두보기) 비활성화</li></ul></td></tr><tr><td><strong><code>viewAll</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td>150</td><td><p>viewAll(모두보기) 접힘 글자수 기준값을 지정합니다.</p><ul><li>유효값: 150(default), 300</li><li>유효값 이외 수치가 입력되는 경우 defualt로 처리됩니다.</li></ul></td></tr></tbody></table>

{% hint style="info" %}
viewAll(모두보기) 설정을 포함하는 컴포넌트의 옵션 정보 객체 입니다.
{% endhint %}

### <mark style="color:blue;">pagination</mark> - object

<table data-full-width="true"><thead><tr><th width="143">필드명</th><th width="91">타입</th><th width="98" align="center">길이</th><th width="112" align="center">필수여부</th><th width="93">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>total</code></strong></td><td>integer</td><td align="center"></td><td align="center">O</td><td></td><td>전체건수</td></tr><tr><td><strong><code>offset</code></strong></td><td>integer</td><td align="center"></td><td align="center">O</td><td>0</td><td>조회 기준 위치</td></tr><tr><td><strong><code>limit</code></strong></td><td>integer</td><td align="center"></td><td align="center">O</td><td>100</td><td>페이지 당 조회 건수</td></tr></tbody></table>

### <mark style="color:blue;">links</mark> - object

<table data-full-width="true"><thead><tr><th width="145">필드명</th><th width="89">타입</th><th width="99" align="center">길이</th><th width="112" align="center">필수여부</th><th width="90">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>prev</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>이전페이지URL</td></tr><tr><td><strong><code>next</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>다음페이지URL</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "componentId": "CP-Banner",
            "componentName": "배너",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-Banner/LT-CP-Banner-O17l_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "BannerGroup"
        },
        {
            "componentId": "CP-Description",
            "componentName": "디스크립션",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-Description/LT-CP-Description-qh7e_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "DescriptionGroup"
        },
        {
            "componentId": "CP-HButton",
            "componentName": "좌우버튼",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-HButton/LT-CP-HButton-Kpy2_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": {
                "color": "#1e1e1e"
            },
            "groupComponentId": "ButtonGroup"
        },
        {
            "componentId": "CP-ImageHorizontal",
            "componentName": "가로형이미지",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-ImageHorizontal/LT-CP-ImageHorizontal-535b_1.png",
            "headerYn": "Y",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "ImageGroup"
        },
        {
            "componentId": "CP-ImageSquare",
            "componentName": "정형이미지",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-ImageSquare/LT-CP-ImageSquare-N2le_1.png",
            "headerYn": "Y",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "ImageGroup"
        },
        {
            "componentId": "CP-ImageTall",
            "componentName": "장형이미지",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-ImageTall/LT-CP-ImageTall-II02_1.png",
            "headerYn": "Y",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "ImageGroup"
        },
        {
            "componentId": "CP-ItemA",
            "componentName": "아이템A",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-ItemA/LT-CP-ItemA-sHK9_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "ItemGroup"
        },
        {
            "componentId": "CP-ItemB",
            "componentName": "아이템B",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-ItemB/LT-CP-ItemB-ujA1_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "ItemGroup"
        },
        {
            "componentId": "CP-MainTitle",
            "componentName": "메인타이틀",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-MainTitle/LT-CP-MainTitle-67r7_1.png",
            "headerYn": "Y",
            "bodyYn": "N",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "TitleGroup"
        },
        {
            "componentId": "CP-NoticeL",
            "componentName": "노티스",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-NoticeL/LT-CP-NoticeL-J47V_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "layout",
            "options": null,
            "groupComponentId": "NoticeGroup"
        },
        {
            "componentId": "CP-StyleTitleA",
            "componentName": "스타일타이틀A",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-StyleTitleA/LT-CP-StyleTitleA-J68P_1.png",
            "headerYn": "Y",
            "bodyYn": "N",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "TitleGroup"
        },
        {
            "componentId": "CP-Table",
            "componentName": "테이블",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-Table/LT-CP-Table-u43h_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": {
                "rightTextStyle": "normal",
                "rightAlign": "right",
                "leftAlign": "left",
                "leftTextStyle": "normal",
                "maxCount": 10
            },
            "groupComponentId": "TableGroup"
        },
        {
            "componentId": "CP-ThumbDesc",
            "componentName": "서브디스크립션이미지",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-ThumbDesc/LT-CP-ThumbDesc-FkO3_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": {
                "maxCount": "5"
            },
            "groupComponentId": "ThumbDescGroup"
        },
        {
            "componentId": "CP-Thumbnail",
            "componentName": "썸네일 컴포넌트",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-Thumbnail/LT-CP-Thumbnail-m4xC_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": null,
            "groupComponentId": "ThumbnailGroup"
        },
        {
            "componentId": "CP-TitleDesc",
            "componentName": "서브디스크립션타이틀",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-TitleDesc/LT-CP-TitleDesc-BIc2_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": {
                "maxCount": "5"
            },
            "groupComponentId": "TableGroup"
        },
        {
            "componentId": "CP-VButton",
            "componentName": "상하버튼",
            "iconImgFileUrl": "https://file-qa.rcsbizcenter.com/form/component/CP-VButton/LT-CP-VButton-4rtF_1.png",
            "headerYn": "N",
            "bodyYn": "Y",
            "footerYn": "N",
            "status": "public",
            "options": {
                "color": "#1e1e1e"
            },
            "groupComponentId": "ButtonGroup"
        }
    ],
    "pagination": {
        "offset": 0,
        "limit": 100,
        "total": 16
    },
    "status": 200
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/layout/get_component_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
